#include "proest256.h"
#include <stdlib.h>
#include <time.h>

int main() {
	srand(time(NULL));
	
	// Allocate Prøst context
	proest_ctx y;
	
	// Allocate input as array of unsigned chars
	unsigned char *r = (unsigned char *)calloc(PROEST_STATEBYTES, sizeof(unsigned char));
	for (int i = 0; i < PROEST_STATEBYTES; ++i)
		r[i] =  rand() & 0xFF;
	
	// Read the input byte stream into Prøst state
	proest_readstate(&y, r);
	
	// Call permutation
	proest_permute(&y);
	
	// Write Prøst state back to char array
	proest_writestate(r, &y);
	
	free(r);
}
